Skip to topic | Skip to bottom
Linux.AptHintsr1.1 - 29 Aug 2016 - 09:27 - TWikiGuest? [Zum Ende]

Start of topic | Direkt zum Menü

Apt-Probleme unter Debian

Gelegentlich hält APT einige unliebsame Überraschungen parat. Hier findet man Hinweise, wie man mit APT-Probleme klarkommt.

Unter Woody wird die Fehlermeldung Dynamic MMap ran out of room angezeigt.

Das liegt an einer internen Speicherbegrenzung in älteren APT-Versionen. Folgende Lösungen sind möglich:

  • In in /etc/apt/apt.conf eine neue Zeile der Art
    APT::Cache-Limit "25165824";
    eintragen
  • Eine neuer APT-Version für Woody von Backports.Org besorgen
  • Langsam auf Sarge upgraden

Obwohl die sources.list umfangreiche (korrekte) Einträge enthält, können offizielle Debian-Pakete nicht installiert werden ( E: Package kdm has no installation candidate )

Das könnte daran liegen, das die Release und das eingestellte Default-Release nicht zusammenpassen. Folgende Zeile in /etc/apt/apt.conf kann das für das Stable-Release (derzeitig Debian Sarge) ändern:
APT::Default-Release "stable";

dpkg bzw. apt-get stellen Fragen bei einem Installationsvorgang, der besser nicht-interaktiv sein sollte.

Die Umgebungsvariable DEBIAN_FRONTEND muss den Wert noninteractive haben.

apt-get nervt durch langes updaten und lädt jede Menge pdiff Files herunter

Diese Zeile in apt.conf hilft:

Acquire::PDiffs "false";

Zeitmaschine für Debian-Pakete

Unter http://snapshot.debian.net gibt's eine Zeitmaschine für Debian-Pakete, die tageweise Snapshots des unstable-Repositorys bereitstellt. Das ist die einzuhaltende Syntax für /etc/apt/sources.list :

deb http://snapshot.debian.net/archive/YYYY/MM/DD/debian unstable main contrib non-free

Abgelaufenes Release-File uebersteuern

Entweder das auf der Apt-Kommandozeile:

-o 'Acquire::Check-Valid-Until=false'

oder das in einem File in /etc/apt/apt.conf.d :

Acquire::Check-Valid-Until false;

Debian-Versionsnummern fuer eigene Pakete

Numeric ID Distribution-ID
1 sarge, dapper, edgy
2 etch
3 feisty
4 gutsy
5 hardy
6 lenny
7 intrepid
8 jaunty
9 karmic
10 lucid
11 squeeze
12 maverick
13 natty
14 precise
15 trusty
16 xenial

[Zurück zum Start]

Aktuelle Wiki-Seite: Linux > AptHints

[Zurück zum Start]